diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index cf88308..a37fc3a 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -93561,9 +93561,913 @@ NagIntegrationPackage(): Exports == Implementation where
 )set message auto off
 )clear all
 
---S 1 of 1
+--S 1 of 97
 )show NagInterpolationPackage
---E 1
+--R 
+--R NagInterpolationPackage  is a package constructor
+--R Abbreviation for NagInterpolationPackage is NAGE01 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.4.pamphlet to see algebra source code for NAGE01 
+--R
+--R------------------------------- Operations --------------------------------
+--R e01baf : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Integer,Integer,Integer) -> Result
+--R e01bef : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Integer) -> Result
+--R e01bff : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer,Matrix(DoubleFloat),Integer) -> Result
+--R e01bgf : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer,Matrix(DoubleFloat),Integer) -> Result
+--R e01bhf : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),DoubleFloat,DoubleFloat,Integer) -> Result
+--R e01daf : (Integer,Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer) -> Result
+--R e01saf : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer) -> Result
+--R e01sbf : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(Integer),Matrix(DoubleFloat),DoubleFloat,DoubleFloat,Integer) -> Result
+--R e01sef : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer,Integer,DoubleFloat,DoubleFloat,Integer) -> Result
+--R e01sff : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),DoubleFloat,Matrix(DoubleFloat),DoubleFloat,DoubleFloat,Integer) -> Result
+--R
+--E 97
+
+)clear all
+ 
+
+--S 2 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 2
+
+--S 3 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 3
+
+--S 4 of 97
+m:=7
+--R 
+--R
+--R   (3)  7
+--R                                                        Type: PositiveInteger
+--E 4
+
+--S 5 of 97
+x:Matrix SF:= [[0.0 ,0.2 ,0.4 ,0.6 ,0.75 ,0.9 ,1.0 ]]
+--R 
+--R
+--R   (4)  [0.  0.2  0.4  0.6  0.75  0.9  1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 5
+
+--S 6 of 97
+y:Matrix SF:= [[1.0000 ,1.2214 ,1.4918 ,1.8221 ,2.1170 ,2.4596 ,2.7183 ]]
+--R 
+--R
+--R   (5)  [1.  1.2214  1.4918  1.8221  2.117  2.4596  2.7183]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 6
+
+--S 7 of 97
+lck:=11
+--R 
+--R
+--R   (6)  11
+--R                                                        Type: PositiveInteger
+--E 7
+
+--S 8 of 97
+lwrk:=58
+--R 
+--R
+--R   (7)  58
+--R                                                        Type: PositiveInteger
+--E 8
+
+--S 9 of 97
+-- result:=e01baf(m,x,y,lck,lwrk,-1)
+--E 9
+
+)clear all
+ 
+
+--S 10 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 10
+
+--S 11 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 11
+
+--S 12 of 97
+n:=9
+--R 
+--R
+--R   (3)  9
+--R                                                        Type: PositiveInteger
+--E 12
+
+--S 13 of 97
+x:Matrix SF:= [[7.99 ,8.09 ,8.19 ,8.70 ,9.20 ,10.00 ,12.00 ,15.00 ,20.00 ]]
+--R 
+--R
+--R   (4)  [7.99  8.09  8.19  8.7  9.2  10.  12.  15.  20.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 13
+
+--S 14 of 97
+f:Matrix SF:= [[0.00000e+0 ,0.27643e-4 ,0.43750e-1 ,0.16918 ,_
+                0.46943 ,0.94374 ,0.99864 ,0.99992 ,0.99999 ]]
+--R 
+--R
+--R   (5)
+--R   [[0.,2.7643E-5,4.375E-2,0.16918,0.46943,0.94374,0.99864,0.99992,0.99999]]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 14
+
+--S 15 of 97
+-- result:=e01bef(n,x,f,-1)
+--E 15
+
+)clear all
+ 
+
+--S 16 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 16
+
+--S 17 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 17
+
+--S 18 of 97
+n:=9
+--R 
+--R
+--R   (3)  9
+--R                                                        Type: PositiveInteger
+--E 18
+
+--S 19 of 97
+x:Matrix SF:= [[7.99 ,8.09 ,8.19 ,8.70 ,9.20 ,10.00 ,12.00 ,15.00 ,20.00 ]]
+--R 
+--R
+--R   (4)  [7.99  8.09  8.19  8.7  9.2  10.  12.  15.  20.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 19
+
+--S 20 of 97
+f:Matrix SF:= [[0.00000e+0 ,0.27643e-4 ,0.43750e-1 ,0.16918 ,_
+                0.46943 ,0.94374 ,0.99864 ,0.99992 ,0.99999 ]]
+--R 
+--R
+--R   (5)
+--R   [[0.,2.7643E-5,4.375E-2,0.16918,0.46943,0.94374,0.99864,0.99992,0.99999]]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 20
+
+--S 21 of 97
+d:Matrix SF:= [[0.00000e+0 ,5.52510e-4 ,0.33587 ,0.34944 ,_
+                0.59696 ,6.03260e-2 ,8.98335e-4 ,2.93954e-5 ,0.00000 ]]
+--R 
+--R
+--R   (6)
+--R   [[0.,5.5251E-4,0.33587,0.34944,0.59696,6.0326E-2,8.98335E-4,2.93954E-5,0.]]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 21
+
+--S 22 of 97
+m:=11
+--R 
+--R
+--R   (7)  11
+--R                                                        Type: PositiveInteger
+--E 22
+
+--S 23 of 97
+px:Matrix SF:=
+ [[7.9900000000000002 + (i-1) *1.2010000000000001 for i in 1..11]]
+--R 
+--R
+--R   (8)
+--R   [
+--R     [7.99, 9.191, 10.392000000000001, 11.593, 12.794, 13.995000000000001,
+--R      15.196000000000002, 16.397000000000002, 17.598000000000003, 18.799, 20.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 23
+
+--S 24 of 97
+-- result:=e01bff(n,x,f,d,m,px,-1)
+--E 24
+
+)clear all
+ 
+
+--S 25 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 25
+
+--S 26 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 26
+
+--S 27 of 97
+n:=9
+--R 
+--R
+--R   (3)  9
+--R                                                        Type: PositiveInteger
+--E 27
+
+--S 28 of 97
+x:Matrix SF:= [[7.99 ,8.09 ,8.19 ,8.70 ,9.20 ,10.00 ,12.00 ,15.00 ,20.00 ]]
+--R 
+--R
+--R   (4)  [7.99  8.09  8.19  8.7  9.2  10.  12.  15.  20.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 28
+
+--S 29 of 97
+f:Matrix SF:= [[0.00000e+0 ,0.27643e-4 ,0.43750e-1 ,0.16918 ,0.46943 ,_
+                0.94374 ,0.99864 ,0.99992 ,0.99999 ]]
+--R 
+--R
+--R   (5)
+--R   [[0.,2.7643E-5,4.375E-2,0.16918,0.46943,0.94374,0.99864,0.99992,0.99999]]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 29
+
+--S 30 of 97
+d:Matrix SF:= [[0.00000e+0 ,5.52510e-4 ,0.33587 ,0.34944 ,0.59696 ,_
+                6.03260e-2 ,8.98335e-4 ,2.93954e-5 ,0.00000 ]]
+--R 
+--R
+--R   (6)
+--R   [[0.,5.5251E-4,0.33587,0.34944,0.59696,6.0326E-2,8.98335E-4,2.93954E-5,0.]]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 30
+
+--S 31 of 97
+m:=11
+--R 
+--R
+--R   (7)  11
+--R                                                        Type: PositiveInteger
+--E 31
+
+--S 32 of 97
+px:Matrix SF:=
+ [[7.9900000000000002 + (i-1) *1.2010000000000001 for i in 1..11]]
+--R 
+--R
+--R   (8)
+--R   [
+--R     [7.99, 9.191, 10.392000000000001, 11.593, 12.794, 13.995000000000001,
+--R      15.196000000000002, 16.397000000000002, 17.598000000000003, 18.799, 20.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 32
+
+--S 33 of 97
+-- result:=e01bgf(n,x,f,d,m,px,-1)
+--E 33
+
+)clear all
+ 
+
+--S 34 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 34
+
+--S 35 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 35
+
+--S 36 of 97
+n:=9
+--R 
+--R
+--R   (3)  9
+--R                                                        Type: PositiveInteger
+--E 36
+
+--S 37 of 97
+x:Matrix SF:= [[7.99 ,8.09 ,8.19 ,8.70 ,9.20 ,10.00 ,12.00 ,15.00 ,20.00 ]]
+--R 
+--R
+--R   (4)  [7.99  8.09  8.19  8.7  9.2  10.  12.  15.  20.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 37
+
+--S 38 of 97
+f:Matrix SF:= [[0.00000e+0 ,0.27643e-4 ,0.43750e-1 ,0.16918 ,_
+                0.46943 ,0.94374 ,0.99864 ,0.99992 ,0.99999 ]]
+--R 
+--R
+--R   (5)
+--R   [[0.,2.7643E-5,4.375E-2,0.16918,0.46943,0.94374,0.99864,0.99992,0.99999]]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 38
+
+--S 39 of 97
+d:Matrix SF:= [[0.00000e+0 ,5.52510e-4 ,0.33587 ,0.34944 ,_
+                0.59696 ,6.03260e-2 ,8.98335e-4 ,2.93954e-5 ,0.00000 ]]
+--R 
+--R
+--R   (6)
+--R   [[0.,5.5251E-4,0.33587,0.34944,0.59696,6.0326E-2,8.98335E-4,2.93954E-5,0.]]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 39
+
+--S 40 of 97
+a:=7.99
+--R 
+--R
+--R   (7)  7.99
+--R                                                                  Type: Float
+--E 40
+
+--S 41 of 97
+b:=20.0
+--R 
+--R
+--R   (8)  20.0
+--R                                                                  Type: Float
+--E 41
+
+--S 42 of 97
+-- result:=e01bhf(n,x,f,d,a,b,-1)
+--E 42 
+
+)clear all
+ 
+
+--S 43 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 43
+
+--S 44 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 44
+
+--S 45 of 97
+mx:=7
+--R 
+--R
+--R   (3)  7
+--R                                                        Type: PositiveInteger
+--E 45
+
+--S 46 of 97
+my:=6
+--R 
+--R
+--R   (4)  6
+--R                                                        Type: PositiveInteger
+--E 46
+
+--S 47 of 97
+x:Matrix SF:= [[1.00 ,1.10 ,1.30 ,1.50 ,1.60 ,1.80 ,2.00 ]]
+--R 
+--R
+--R   (5)  [1.  1.1  1.3  1.5  1.6  1.8  2.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 47
+
+--S 48 of 97
+y:Matrix SF:= [[0.00 ,0.10 ,0.40 ,0.70 ,0.90 ,1.00 ]]
+--R 
+--R
+--R   (6)  [0.  0.1  0.4  0.7  0.9  1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 48
+
+--S 49 of 97
+f:Matrix SF:=
+  [[1.00, 1.10, 1.40, 1.70, 1.90, 2.00, _
+    1.21, 1.31, 1.61, 1.91, 2.11, 2.21, _
+    1.69, 1.79, 2.09, 2.39, 2.59, 2.69, _
+    2.25, 2.35, 2.65, 2.95, 3.15, 3.25, _
+    2.56, 2.66, 2.96, 3.26, 3.46, 3.56, _
+    3.24, 3.34, 3.64, 3.94, 4.14, 4.24, _
+    4.00, 4.10, 4.40, 4.70, 4.90, 5.00]]
+--R 
+--R
+--R   (7)
+--R   [
+--R     [1., 1.1, 1.4, 1.7, 1.9, 2., 1.21, 1.31, 1.61, 1.91, 2.11, 2.21, 1.69,
+--R      1.79, 2.09, 2.39, 2.59, 2.69, 2.25, 2.35, 2.65, 2.95, 3.15, 3.25, 2.56,
+--R      2.66, 2.96, 3.26, 3.46, 3.56, 3.24, 3.34, 3.64, 3.94, 4.14, 4.24, 4.,
+--R      4.1, 4.4, 4.7, 4.9, 5.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 49
+
+--S 50 of 97
+-- result:=e01daf(mx,my,x,y,f, -1)
+--E 50
+
+)clear all
+ 
+
+--S 51 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 51
+
+--S 52 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 52
+
+--S 53 of 97
+m:=30
+--R 
+--R
+--R   (3)  30
+--R                                                        Type: PositiveInteger
+--E 53
+
+--S 54 of 97
+x:Matrix SF:= [[11.16 ,12.85 ,19.85 ,19.72 ,15.91 , 0.00 ,20.87 ,_
+                3.45 ,14.26 ,17.43 ,22.80  ,7.58 ,25.00 , 0.00 ,_
+                9.66 , 5.22 ,17.25 ,25.00 ,12.13 ,22.23 ,11.52 ,_
+                15.20 , 7.54 ,17.32 , 2.14 , 0.51 ,22.69 , 5.47 ,21.67 ,3.31 ]]
+--R 
+--R
+--R   (4)
+--R   [
+--R     [11.16, 12.85, 19.85, 19.72, 15.91, 0., 20.87, 3.45, 14.26, 17.43, 22.8,
+--R      7.58, 25., 0., 9.66, 5.22, 17.25, 25., 12.13, 22.23, 11.52, 15.2, 7.54,
+--R      17.32, 2.14, 0.51, 22.69, 5.47, 21.67, 3.31]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 54
+
+--S 55 of 97
+y:Matrix SF:= [[1.24 ,3.06 ,10.72 ,1.39 ,7.74 ,20.00 ,20.00 ,12.78 ,_
+                17.87 ,3.46 ,12.39 ,1.98 ,11.87 ,0.00 ,20.00 ,14.66 ,_
+                19.57 ,3.87 ,10.79 ,6.21 ,8.53 ,0.0 ,10.69 ,13.78 ,_
+                15.03 ,8.37 ,19.63 ,17.13 ,14.36 ,0.33 ]]
+--R 
+--R
+--R   (5)
+--R   [
+--R     [1.24, 3.06, 10.72, 1.39, 7.74, 20., 20., 12.78, 17.87, 3.46, 12.39, 1.98,
+--R      11.87, 0., 20., 14.66, 19.57, 3.87, 10.79, 6.21, 8.53, 0., 10.69, 13.78,
+--R      15.03, 8.37, 19.63, 17.13, 14.36, 0.33]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 55
+
+--S 56 of 97
+f:Matrix SF:= [[22.15 ,22.11 ,7.97 ,16.83 ,15.30 ,34.60 ,5.74 ,41.24 ,_
+                10.74 ,18.60 ,5.47 ,29.87 ,4.40 ,58.20 ,4.73 ,40.36 ,_
+                6.43 ,8.74 ,13.71 ,10.25 ,15.74 ,21.60 ,19.31 ,12.11 ,_
+                53.10 ,49.43 ,3.25 ,28.63 ,5.52 ,44.08 ]]
+--R 
+--R
+--R   (6)
+--R   [
+--R     [22.15, 22.11, 7.97, 16.83, 15.3, 34.6, 5.74, 41.24, 10.74, 18.6, 5.47,
+--R      29.87, 4.4, 58.2, 4.73, 40.36, 6.43, 8.74, 13.71, 10.25, 15.74, 21.6,
+--R      19.31, 12.11, 53.1, 49.43, 3.25, 28.63, 5.52, 44.08]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 56
+
+--S 57 of 97
+-- result:=resa:=e01saf(m,x,y,f,-1)
+--E 57
+
+--S 58 of 97
+px:=7.71
+--R 
+--R
+--R   (7)  7.71
+--R                                                                  Type: Float
+--E 58
+
+--S 59 of 97
+py:=3.45
+--R 
+--R
+--R   (8)  3.45
+--R                                                                  Type: Float
+--E 59
+
+--S 60 of 97
+-- resb:=e01sbf(m,x,y,f,resa."triang",resa."grads",px,py,-1)
+--E 60
+
+--S 61 of 97
+-- resb."pf"
+--E 61
+
+)clear all
+ 
+
+--S 62 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 62
+
+--S 63 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 63
+
+--S 64 of 97
+m:=30
+--R 
+--R
+--R   (3)  30
+--R                                                        Type: PositiveInteger
+--E 64
+
+--S 65 of 97
+x:Matrix SF:=
+ [[11.16 ,12.85 ,19.85 ,19.72 ,15.91 , 0.00 ,20.87 ,_
+    3.45 ,14.26 ,17.43 ,22.80  ,7.58 ,25.00 , 0.00 ,_
+    9.66 , 5.22 ,17.25 ,25.00 ,12.13 ,22.23 ,11.52 ,_
+   15.20 , 7.54 ,17.32 , 2.14 , 0.51 ,22.69 , 5.47 ,21.67 ,3.31 ]]
+--R 
+--R
+--R   (4)
+--R   [
+--R     [11.16, 12.85, 19.85, 19.72, 15.91, 0., 20.87, 3.45, 14.26, 17.43, 22.8,
+--R      7.58, 25., 0., 9.66, 5.22, 17.25, 25., 12.13, 22.23, 11.52, 15.2, 7.54,
+--R      17.32, 2.14, 0.51, 22.69, 5.47, 21.67, 3.31]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 65
+
+--S 66 of 97
+y:Matrix SF:=
+ [[1.24 ,3.06 ,10.72 ,1.39 ,7.74 ,20.00 ,20.00 ,12.78 ,_
+   17.87 ,3.46 ,12.39 ,1.98 ,11.87 ,0.00 ,20.00 ,14.66 ,_
+   19.57 ,3.87 ,10.79 ,6.21 ,8.53 ,0.0 ,10.69 ,13.78 ,_
+   15.03 ,8.37 ,19.63 ,17.13 ,14.36 ,0.33 ]]
+--R 
+--R
+--R   (5)
+--R   [
+--R     [1.24, 3.06, 10.72, 1.39, 7.74, 20., 20., 12.78, 17.87, 3.46, 12.39, 1.98,
+--R      11.87, 0., 20., 14.66, 19.57, 3.87, 10.79, 6.21, 8.53, 0., 10.69, 13.78,
+--R      15.03, 8.37, 19.63, 17.13, 14.36, 0.33]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 66
+
+--S 67 of 97
+f:Matrix SF:=
+ [[22.15 ,22.11 ,7.97 ,16.83 ,15.30 ,34.60 ,5.74 ,41.24 ,_
+   10.74 ,18.60 ,5.47 ,29.87 ,4.40 ,58.20 ,4.73 ,40.36 ,_
+    6.43 ,8.74 ,13.71 ,10.25 ,15.74 ,21.60 ,19.31 ,12.11 ,_
+    53.10 ,49.43 ,3.25 ,28.63 ,5.52 ,44.08 ]]
+--R 
+--R
+--R   (6)
+--R   [
+--R     [22.15, 22.11, 7.97, 16.83, 15.3, 34.6, 5.74, 41.24, 10.74, 18.6, 5.47,
+--R      29.87, 4.4, 58.2, 4.73, 40.36, 6.43, 8.74, 13.71, 10.25, 15.74, 21.6,
+--R      19.31, 12.11, 53.1, 49.43, 3.25, 28.63, 5.52, 44.08]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 67
+
+--S 68 of 97
+-- resa:=e01saf(m,x,y,f,-1)
+--E 68
+
+--S 69 of 97
+px:=7.71
+--R 
+--R
+--R   (7)  7.71
+--R                                                                  Type: Float
+--E 69
+
+--S 70 of 97
+py:=3.45
+--R 
+--R
+--R   (8)  3.45
+--R                                                                  Type: Float
+--E 70
+
+--S 71 of 97
+-- result:=resb:=e01sbf(m,x,y,f,resa."triang",resa."grads",px,py,-1)
+--E 71
+
+--S 72 of 97
+-- resb."pf"
+--E 72
+
+)clear all
+ 
+
+--S 73 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 73
+
+--S 74 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 74
+
+--S 75 of 97
+m:=30
+--R 
+--R
+--R   (3)  30
+--R                                                        Type: PositiveInteger
+--E 75
+
+--S 76 of 97
+x:Matrix SF:=
+ [[11.16 ,12.85 ,19.85 ,19.72 ,15.91 ,0.00 ,20.87 ,_
+   3.45 ,14.26 ,17.43 ,22.80 ,7.58 ,25.00 ,0.00 ,_
+   9.66 ,5.22 ,17.25 ,25.00 ,12.13 ,22.23 ,11.52 ,_
+   15.20 ,7.54 ,17.32 ,2.14 ,0.51 ,22.69 ,5.47 ,_
+   21.67 ,3.31 ]]
+--R 
+--R
+--R   (4)
+--R   [
+--R     [11.16, 12.85, 19.85, 19.72, 15.91, 0., 20.87, 3.45, 14.26, 17.43, 22.8,
+--R      7.58, 25., 0., 9.66, 5.22, 17.25, 25., 12.13, 22.23, 11.52, 15.2, 7.54,
+--R      17.32, 2.14, 0.51, 22.69, 5.47, 21.67, 3.31]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 76
+
+--S 77 of 97
+y:Matrix SF:=
+ [[1.24 ,3.06 ,10.72 ,1.39 ,7.74 ,20.00 ,20.00 ,_
+   12.78 ,17.87 ,3.46 ,12.39 ,1.98 ,11.87 ,0.00 ,_
+   20.00 ,14.66 ,19.57 ,3.87 ,10.79 ,6.21 ,8.53 ,_
+   0.0 ,10.69 ,13.78 ,15.03 ,8.37 ,19.63 ,17.13 ,_
+   14.36 ,0.33 ]]
+--R 
+--R
+--R   (5)
+--R   [
+--R     [1.24, 3.06, 10.72, 1.39, 7.74, 20., 20., 12.78, 17.87, 3.46, 12.39, 1.98,
+--R      11.87, 0., 20., 14.66, 19.57, 3.87, 10.79, 6.21, 8.53, 0., 10.69, 13.78,
+--R      15.03, 8.37, 19.63, 17.13, 14.36, 0.33]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 77
+
+--S 78 of 97
+f:Matrix SF:=
+ [[22.15 ,22.11 ,7.97 ,16.83 ,15.30 ,34.60 ,5.74 ,_
+   41.24 ,10.74 ,18.60 ,5.47 ,29.87 ,4.40 ,58.20 ,_
+    4.73 ,40.36 ,6.43 ,8.74 ,13.71 ,10.25 ,15.74 ,_
+    21.60 ,19.31 ,12.11 ,53.10 ,49.43 ,3.25 ,28.63 ,_
+    5.52 ,44.08 ]]
+--R 
+--R
+--R   (6)
+--R   [
+--R     [22.15, 22.11, 7.97, 16.83, 15.3, 34.6, 5.74, 41.24, 10.74, 18.6, 5.47,
+--R      29.87, 4.4, 58.2, 4.73, 40.36, 6.43, 8.74, 13.71, 10.25, 15.74, 21.6,
+--R      19.31, 12.11, 53.1, 49.43, 3.25, 28.63, 5.52, 44.08]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 78
+
+--S 79 of 97
+nw:=0
+--R 
+--R
+--R   (7)  0
+--R                                                     Type: NonNegativeInteger
+--E 79
+
+--S 80 of 97
+nq:=0
+--R 
+--R
+--R   (8)  0
+--R                                                     Type: NonNegativeInteger
+--E 80
+
+--S 81 of 97
+rnw:=0.0
+--R 
+--R
+--R   (9)  0.0
+--R                                                                  Type: Float
+--E 81
+
+--S 82 of 97
+rnq:=0.0
+--R 
+--R
+--R   (10)  0.0
+--R                                                                  Type: Float
+--E 82
+
+--S 83 of 97
+-- result:=e01sef(m,x,y,f,nw,nq,rnw,rnq, -1)
+--E 83
+
+)clear all
+ 
+
+--S 84 of 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 84
+
+--S 85 of 97
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 85
+
+--S 86 of 97
+m:=30
+--R 
+--R
+--R   (3)  30
+--R                                                        Type: PositiveInteger
+--E 86
+
+--S 87 of 97
+x:Matrix SF:=
+ [[11.16 ,12.85 ,19.85 ,19.72 ,15.91 ,0.00 ,20.87 ,_
+   3.45 ,14.26 ,17.43 ,22.80 ,7.58 ,25.00 ,0.00 ,_
+   9.66 ,5.22 ,17.25 ,25.00 ,12.13 ,22.23 ,11.52 ,_
+   15.20 ,7.54 ,17.32 ,2.14 ,0.51 ,22.69 ,5.47 ,_
+   21.67 ,3.31 ]]
+--R 
+--R
+--R   (4)
+--R   [
+--R     [11.16, 12.85, 19.85, 19.72, 15.91, 0., 20.87, 3.45, 14.26, 17.43, 22.8,
+--R      7.58, 25., 0., 9.66, 5.22, 17.25, 25., 12.13, 22.23, 11.52, 15.2, 7.54,
+--R      17.32, 2.14, 0.51, 22.69, 5.47, 21.67, 3.31]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 87
+
+--S 88 of 97
+y:Matrix SF:=
+ [[1.24 ,3.06 ,10.72 ,1.39 ,7.74 ,20.00 ,20.00 ,_
+   12.78 ,17.87 ,3.46 ,12.39 ,1.98 ,11.87 ,0.00 ,_
+   20.00 ,14.66 ,19.57 ,3.87 ,10.79 ,6.21 ,8.53 ,_
+   0.0 ,10.69 ,13.78 ,15.03 ,8.37 ,19.63 ,17.13 ,_
+   14.36 ,0.33 ]]
+--R 
+--R
+--R   (5)
+--R   [
+--R     [1.24, 3.06, 10.72, 1.39, 7.74, 20., 20., 12.78, 17.87, 3.46, 12.39, 1.98,
+--R      11.87, 0., 20., 14.66, 19.57, 3.87, 10.79, 6.21, 8.53, 0., 10.69, 13.78,
+--R      15.03, 8.37, 19.63, 17.13, 14.36, 0.33]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 88
+
+--S 89 of 97
+f:Matrix SF:=
+ [[22.15 ,22.11 ,7.97 ,16.83 ,15.30 ,34.60 ,5.74 ,_
+   41.24 ,10.74 ,18.60 ,5.47 ,29.87 ,4.40 ,58.20 ,_
+    4.73 ,40.36 ,6.43 ,8.74 ,13.71 ,10.25 ,15.74 ,_
+    21.60 ,19.31 ,12.11 ,53.10 ,49.43 ,3.25 ,28.63 ,_
+    5.52 ,44.08 ]]
+--R 
+--R
+--R   (6)
+--R   [
+--R     [22.15, 22.11, 7.97, 16.83, 15.3, 34.6, 5.74, 41.24, 10.74, 18.6, 5.47,
+--R      29.87, 4.4, 58.2, 4.73, 40.36, 6.43, 8.74, 13.71, 10.25, 15.74, 21.6,
+--R      19.31, 12.11, 53.1, 49.43, 3.25, 28.63, 5.52, 44.08]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 89
+
+--S 90 of 97
+nw:=0
+--R 
+--R
+--R   (7)  0
+--R                                                     Type: NonNegativeInteger
+--E 90
+
+--S 91 of 97
+nq:=0
+--R 
+--R
+--R   (8)  0
+--R                                                     Type: NonNegativeInteger
+--E 91
+
+--S 92 of 97
+rnw:=0.0
+--R 
+--R
+--R   (9)  0.0
+--R                                                                  Type: Float
+--E 92
+
+--S 93 of 97
+rnq:=0.0
+--R 
+--R
+--R   (10)  0.0
+--R                                                                  Type: Float
+--E 93
+
+--S 94 of 97
+-- resa:=e01sef(m,x,y,f,nw,nq,rnw,rnq, -1)
+--E 94
+
+--S 95 of 97
+px:=3.0
+--R 
+--R
+--R   (11)  3.0
+--R                                                                  Type: Float
+--E 95
+
+--S 96 of 97
+py:=2.0
+--R 
+--R
+--R   (12)  2.0
+--R                                                                  Type: Float
+--E 96
+
+--S 97 of 97
+-- result:=e01sff(m,x,y,f,resa."rnw",resa."fnodes",px ,py,-1)
+--E 97
 
 )spool
 )lisp (bye)
diff --git a/changelog b/changelog
index 5e82394..c8074f5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141202 tpd src/axiom-website/patches.html 20141202.03.tpd.patch
+20141202 tpd books/bookvol10.4 NAGE01 absorb src/input test case files
 20141202 tpd src/axiom-website/patches.html 20141202.02.tpd.patch
 20141202 tpd src/input/*.input: rewrite ** to ^
 20141202 tpd src/axiom-website/patches.html 20141202.01.tpd.patch
diff --git a/patch b/patch
index 6524afe..88f99c8 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-src/input/*.input: rewrite ** to ^
+books/bookvol10.4 NAGE01 absorb src/input test case files
 
-regularize input files to the the ^ notation
+absorb and remove the NAGE01 test cases into a single test file.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3b1bce4..79dd931 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4746,6 +4746,8 @@ readme: update the readme file to remove outdated comments<br/>
 buglist: bug 7267: src/input/liu ^ is not always **<br/>
 <a href="patches/20141202.02.tpd.patch">20141202.02.tpd.patch</a>
 src/input/*.input: rewrite ** to ^<br/>
+<a href="patches/20141202.03.tpd.patch">20141202.03.tpd.patch</a>
+books/bookvol10.4 NAGE01 absorb src/input test case files<br/>
  </body>
 </html>
 
diff --git a/src/input/e01baf.input.pamphlet b/src/input/e01baf.input.pamphlet
deleted file mode 100644
index 5aa52ad..0000000
--- a/src/input/e01baf.input.pamphlet
+++ /dev/null
@@ -1,36 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01baf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-m:=7
-x:Matrix SF:=
- [[0.0 ,0.2 ,0.4 ,0.6 ,0.75 ,0.9 ,1.0 ]]
-y:Matrix SF:=
- [[1.0000 ,1.2214 ,1.4918 ,1.8221 ,2.1170 ,2.4596 ,2.7183 ]]
-lck:=11
-lwrk:=58
-result:=e01baf(m,x,y,lck,lwrk,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e01bef.input.pamphlet b/src/input/e01bef.input.pamphlet
deleted file mode 100644
index dcbfae3..0000000
--- a/src/input/e01bef.input.pamphlet
+++ /dev/null
@@ -1,35 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01bef.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=9
-x:Matrix SF:=
- [[7.99 ,8.09 ,8.19 ,8.70 ,9.20 ,10.00 ,12.00 ,15.00 ,20.00 ]]
-f:Matrix SF:=
- [[0.00000e+0 ,0.27643e-4 ,0.43750e-1 ,0.16918 ,_
-   0.46943 ,0.94374 ,0.99864 ,0.99992 ,0.99999 ]]
-result:=e01bef(n,x,f,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e01bff.input.pamphlet b/src/input/e01bff.input.pamphlet
deleted file mode 100644
index c0c341a..0000000
--- a/src/input/e01bff.input.pamphlet
+++ /dev/null
@@ -1,41 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01bff.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=9
-x:Matrix SF:=
- [[7.99 ,8.09 ,8.19 ,8.70 ,9.20 ,10.00 ,12.00 ,15.00 ,20.00 ]]
-f:Matrix SF:=
- [[0.00000e+0 ,0.27643e-4 ,0.43750e-1 ,0.16918 ,_
-   0.46943 ,0.94374 ,0.99864 ,0.99992 ,0.99999 ]]
-d:Matrix SF:=
- [[0.00000e+0 ,5.52510e-4 ,0.33587 ,0.34944 ,_
-   0.59696 ,6.03260e-2 ,8.98335e-4 ,2.93954e-5 ,0.00000 ]]
-m:=11
-px:Matrix SF:=
- [[7.9900000000000002 + (i-1) *1.2010000000000001 for i in 1..11]]
-result:=e01bff(n,x,f,d,m,px,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e01bgf.input.pamphlet b/src/input/e01bgf.input.pamphlet
deleted file mode 100644
index ab9c908..0000000
--- a/src/input/e01bgf.input.pamphlet
+++ /dev/null
@@ -1,41 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01bgf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=9
-x:Matrix SF:=
- [[7.99 ,8.09 ,8.19 ,8.70 ,9.20 ,10.00 ,12.00 ,15.00 ,20.00 ]]
-f:Matrix SF:=
- [[0.00000e+0 ,0.27643e-4 ,0.43750e-1 ,0.16918 ,0.46943 ,_
-   0.94374 ,0.99864 ,0.99992 ,0.99999 ]]
-d:Matrix SF:=
- [[0.00000e+0 ,5.52510e-4 ,0.33587 ,0.34944 ,0.59696 ,_
-   6.03260e-2 ,8.98335e-4 ,2.93954e-5 ,0.00000 ]]
-m:=11
-px:Matrix SF:=
- [[7.9900000000000002 + (i-1) *1.2010000000000001 for i in 1..11]]
-result:=e01bgf(n,x,f,d,m,px,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e01bhf.input.pamphlet b/src/input/e01bhf.input.pamphlet
deleted file mode 100644
index 44e3508..0000000
--- a/src/input/e01bhf.input.pamphlet
+++ /dev/null
@@ -1,40 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01bhf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=9
-x:Matrix SF:=
- [[7.99 ,8.09 ,8.19 ,8.70 ,9.20 ,10.00 ,12.00 ,15.00 ,20.00 ]]
-f:Matrix SF:=
- [[0.00000e+0 ,0.27643e-4 ,0.43750e-1 ,0.16918 ,_
-   0.46943 ,0.94374 ,0.99864 ,0.99992 ,0.99999 ]]
-d:Matrix SF:=
- [[0.00000e+0 ,5.52510e-4 ,0.33587 ,0.34944 ,_
-   0.59696 ,6.03260e-2 ,8.98335e-4 ,2.93954e-5 ,0.00000 ]]
-a:=7.99
-b:=20.0
-result:=e01bhf(n,x,f,d,a,b,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e01daf.input.pamphlet b/src/input/e01daf.input.pamphlet
deleted file mode 100644
index 33de05e..0000000
--- a/src/input/e01daf.input.pamphlet
+++ /dev/null
@@ -1,51 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01daf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-mx:=7
-my:=6
-x:Matrix SF:=
- [[1.00 ,1.10 ,1.30 ,1.50 ,1.60 ,1.80 ,2.00 ]]
-y:Matrix SF:=
- [[0.00 ,0.10 ,0.40 ,0.70 ,0.90 ,1.00 ]]
---f:Matrix SF:=
--- [[1.00 ,1.21 ,1.69 ,2.25 ,2.56 ,3.24 ,4.00 ,1.10 ,_
---   1.31 ,1.79 ,2.35 ,2.66 ,3.34 ,4.10 ,1.40 ,1.61 ,_
---   2.09 ,2.65 ,2.96 ,3.64 ,4.40 ,1.70 ,1.91 ,2.39 ,_
---   2.95 ,3.26 ,3.94 ,4.90 ,1.90 ,2.11 ,2.59 ,3.15 ,_
---   3.46 ,4.14 ,4.90 ,2.00 ,2.21 ,2.69 ,3.25 ,3.56 ,_
---   4.24 ,5.00 ]]
-
-f:Matrix SF:=
-  [[1.00, 1.10, 1.40, 1.70, 1.90, 2.00, _
-    1.21, 1.31, 1.61, 1.91, 2.11, 2.21, _
-    1.69, 1.79, 2.09, 2.39, 2.59, 2.69, _
-    2.25, 2.35, 2.65, 2.95, 3.15, 3.25, _
-    2.56, 2.66, 2.96, 3.26, 3.46, 3.56, _
-    3.24, 3.34, 3.64, 3.94, 4.14, 4.24, _
-    4.00, 4.10, 4.40, 4.70, 4.90, 5.00]]
-result:=e01daf(mx,my,x,y,f, -1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e01saf.input.pamphlet b/src/input/e01saf.input.pamphlet
deleted file mode 100644
index 8427e49..0000000
--- a/src/input/e01saf.input.pamphlet
+++ /dev/null
@@ -1,49 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01saf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-m:=30
-x:Matrix SF:=
- [[11.16 ,12.85 ,19.85 ,19.72 ,15.91 , 0.00 ,20.87 ,_
-    3.45 ,14.26 ,17.43 ,22.80  ,7.58 ,25.00 , 0.00 ,_
-    9.66 , 5.22 ,17.25 ,25.00 ,12.13 ,22.23 ,11.52 ,_
-   15.20 , 7.54 ,17.32 , 2.14 , 0.51 ,22.69 , 5.47 ,21.67 ,3.31 ]]
-y:Matrix SF:=
- [[1.24 ,3.06 ,10.72 ,1.39 ,7.74 ,20.00 ,20.00 ,12.78 ,_
-   17.87 ,3.46 ,12.39 ,1.98 ,11.87 ,0.00 ,20.00 ,14.66 ,_
-   19.57 ,3.87 ,10.79 ,6.21 ,8.53 ,0.0 ,10.69 ,13.78 ,_
-   15.03 ,8.37 ,19.63 ,17.13 ,14.36 ,0.33 ]]
-f:Matrix SF:=
- [[22.15 ,22.11 ,7.97 ,16.83 ,15.30 ,34.60 ,5.74 ,41.24 ,_
-   10.74 ,18.60 ,5.47 ,29.87 ,4.40 ,58.20 ,4.73 ,40.36 ,_
-    6.43 ,8.74 ,13.71 ,10.25 ,15.74 ,21.60 ,19.31 ,12.11 ,_
-    53.10 ,49.43 ,3.25 ,28.63 ,5.52 ,44.08 ]]
-result:=resa:=e01saf(m,x,y,f,-1)
-px:=7.71
-py:=3.45
-resb:=e01sbf(m,x,y,f,resa."triang",resa."grads",px,py,-1)
-resb."pf"
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e01sbf.input.pamphlet b/src/input/e01sbf.input.pamphlet
deleted file mode 100644
index dcf358d..0000000
--- a/src/input/e01sbf.input.pamphlet
+++ /dev/null
@@ -1,49 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01sbf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-m:=30
-x:Matrix SF:=
- [[11.16 ,12.85 ,19.85 ,19.72 ,15.91 , 0.00 ,20.87 ,_
-    3.45 ,14.26 ,17.43 ,22.80  ,7.58 ,25.00 , 0.00 ,_
-    9.66 , 5.22 ,17.25 ,25.00 ,12.13 ,22.23 ,11.52 ,_
-   15.20 , 7.54 ,17.32 , 2.14 , 0.51 ,22.69 , 5.47 ,21.67 ,3.31 ]]
-y:Matrix SF:=
- [[1.24 ,3.06 ,10.72 ,1.39 ,7.74 ,20.00 ,20.00 ,12.78 ,_
-   17.87 ,3.46 ,12.39 ,1.98 ,11.87 ,0.00 ,20.00 ,14.66 ,_
-   19.57 ,3.87 ,10.79 ,6.21 ,8.53 ,0.0 ,10.69 ,13.78 ,_
-   15.03 ,8.37 ,19.63 ,17.13 ,14.36 ,0.33 ]]
-f:Matrix SF:=
- [[22.15 ,22.11 ,7.97 ,16.83 ,15.30 ,34.60 ,5.74 ,41.24 ,_
-   10.74 ,18.60 ,5.47 ,29.87 ,4.40 ,58.20 ,4.73 ,40.36 ,_
-    6.43 ,8.74 ,13.71 ,10.25 ,15.74 ,21.60 ,19.31 ,12.11 ,_
-    53.10 ,49.43 ,3.25 ,28.63 ,5.52 ,44.08 ]]
-resa:=e01saf(m,x,y,f,-1)
-px:=7.71
-py:=3.45
-result:=resb:=e01sbf(m,x,y,f,resa."triang",resa."grads",px,py,-1)
-resb."pf"
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e01sef.input.pamphlet b/src/input/e01sef.input.pamphlet
deleted file mode 100644
index f40871e..0000000
--- a/src/input/e01sef.input.pamphlet
+++ /dev/null
@@ -1,52 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01sef.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-m:=30
-x:Matrix SF:=
- [[11.16 ,12.85 ,19.85 ,19.72 ,15.91 ,0.00 ,20.87 ,_
-   3.45 ,14.26 ,17.43 ,22.80 ,7.58 ,25.00 ,0.00 ,_
-   9.66 ,5.22 ,17.25 ,25.00 ,12.13 ,22.23 ,11.52 ,_
-   15.20 ,7.54 ,17.32 ,2.14 ,0.51 ,22.69 ,5.47 ,_
-   21.67 ,3.31 ]]
-y:Matrix SF:=
- [[1.24 ,3.06 ,10.72 ,1.39 ,7.74 ,20.00 ,20.00 ,_
-   12.78 ,17.87 ,3.46 ,12.39 ,1.98 ,11.87 ,0.00 ,_
-   20.00 ,14.66 ,19.57 ,3.87 ,10.79 ,6.21 ,8.53 ,_
-   0.0 ,10.69 ,13.78 ,15.03 ,8.37 ,19.63 ,17.13 ,_
-   14.36 ,0.33 ]]
-f:Matrix SF:=
- [[22.15 ,22.11 ,7.97 ,16.83 ,15.30 ,34.60 ,5.74 ,_
-   41.24 ,10.74 ,18.60 ,5.47 ,29.87 ,4.40 ,58.20 ,_
-    4.73 ,40.36 ,6.43 ,8.74 ,13.71 ,10.25 ,15.74 ,_
-    21.60 ,19.31 ,12.11 ,53.10 ,49.43 ,3.25 ,28.63 ,_
-    5.52 ,44.08 ]]
-nw:=0
-nq:=0
-rnw:=0.0
-rnq:=0.0
-result:=e01sef(m,x,y,f,nw,nq,rnw,rnq, -1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e01sff.input.pamphlet b/src/input/e01sff.input.pamphlet
deleted file mode 100644
index fc631cb..0000000
--- a/src/input/e01sff.input.pamphlet
+++ /dev/null
@@ -1,55 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e01sff.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-m:=30
-x:Matrix SF:=
- [[11.16 ,12.85 ,19.85 ,19.72 ,15.91 ,0.00 ,20.87 ,_
-   3.45 ,14.26 ,17.43 ,22.80 ,7.58 ,25.00 ,0.00 ,_
-   9.66 ,5.22 ,17.25 ,25.00 ,12.13 ,22.23 ,11.52 ,_
-   15.20 ,7.54 ,17.32 ,2.14 ,0.51 ,22.69 ,5.47 ,_
-   21.67 ,3.31 ]]
-y:Matrix SF:=
- [[1.24 ,3.06 ,10.72 ,1.39 ,7.74 ,20.00 ,20.00 ,_
-   12.78 ,17.87 ,3.46 ,12.39 ,1.98 ,11.87 ,0.00 ,_
-   20.00 ,14.66 ,19.57 ,3.87 ,10.79 ,6.21 ,8.53 ,_
-   0.0 ,10.69 ,13.78 ,15.03 ,8.37 ,19.63 ,17.13 ,_
-   14.36 ,0.33 ]]
-f:Matrix SF:=
- [[22.15 ,22.11 ,7.97 ,16.83 ,15.30 ,34.60 ,5.74 ,_
-   41.24 ,10.74 ,18.60 ,5.47 ,29.87 ,4.40 ,58.20 ,_
-    4.73 ,40.36 ,6.43 ,8.74 ,13.71 ,10.25 ,15.74 ,_
-    21.60 ,19.31 ,12.11 ,53.10 ,49.43 ,3.25 ,28.63 ,_
-    5.52 ,44.08 ]]
-nw:=0
-nq:=0
-rnw:=0.0
-rnq:=0.0
-resa:=e01sef(m,x,y,f,nw,nq,rnw,rnq, -1)
-px:=3.0
-py:=2.0
-result:=e01sff(m,x,y,f,resa."rnw",resa."fnodes",px ,py,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
